Subject: Re: isp1362 usb driver

From: "Jianliang Lu" <[email-masked]>
Date: Wed, 22 Jun 2005 09:00:27 +0200

Hi,
the device is a adsl modem, it works correctly in other linux 
systems with kernel 2.4.2x. The problem is that the isp1362 driver 
seems that supports only isochronous endpoints. We are 
implementing the code to support also control/bulk/interrupt 
endpoints.

Regards,
Jianliang Lu

---------- Original Message ----------------------------------
From: Wolfgang Denk <[email-masked]>
Date: Tue, 21 Jun 2005 22:18:34 +0200

>Hello,
>
>in message <[email-masked]> you wrote:
>>
>> sorry for my persistence, now I try to go to more detail:
>
>I'm afraid I can't help much. The only board with a  ISP1362  I  
have
>access  to at the moment has just the device interface equipped, 
so I
>cannot run any real tests on the host port.
>
>> Jan  1 01:01:30 IMOLA kernel: hub.c: USB new device connect on 
>> bus2/2, assigned device number 2
>> Jan  1 01:01:33 IMOLA kernel: usb_control/bulk_msg: timeout
>> Jan  1 01:01:45 IMOLA last message repeated 4 times
>> Jan  1 01:01:45 IMOLA kernel: usb.c: couldn't get all of config 
>> descriptors
>> Jan  1 01:01:45 IMOLA kernel: usb.c: unable to get device 2 
>> configuration (error=-110)
>
>Which sort of device is it what you connected? Are  you  sure  
it  is
>working  under  Linux at all? Did you test it on a standard x86 
Linux
>PC with a 2.4.2x kernel?
>
>
>Best regards,
>
>Wolfgang Denk
>
>-- 
>Software Engineering:  Embedded and Realtime Systems,  Embedded 
Linux
>Phone: (+49)-8142-66989-10 Fax: (+49)-8142-66989-80 Email: 
[email-masked]
>A fanatic is a person who can't change his mind and won't change  
the
>subject.                                          - Winston 
Churchill